- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- ExportEncryptionConfig
- Try it!
Export instance.
HTTP request
POST https://looker.googleapis.com/v1/{name=projects/*/locations/*/instances/*}:export
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. Format: |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"encryptionConfig": {
object ( |
| Fields | |
|---|---|
encryptionConfig |
Required. Encryption configuration (CMEK). For CMEK enabled instances it should be same as looker CMEK. |
The path to the folder in Google Cloud Storage where the export will be stored. The URI is in the form gs://bucketName/folderName. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: |
|
gcsUri |
The path to the folder in Google Cloud Storage where the export will be stored. The URI is in the form |
| End of mutually exclusive fields. | |
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
looker.googleapis.com/looker.instances.export
For more information, see the IAM documentation.
ExportEncryptionConfig
Configuration for Encryption - e.g. CMEK.
| JSON representation |
|---|
{ "kmsKeyName": string } |
| Fields | |
|---|---|
kmsKeyName |
Required. Name of the CMEK key in KMS. |